Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_scan_args_t Struct Reference
Defining methods

## Data Fields
int | argc
const VALUE * | argv
va_list | vargs
int | f_var
int | f_hash
int | f_block
int | n_lead
int | n_opt
int | n_trail
int | n_mand
int | argi
int | last_idx
VALUE | hash
VALUE | last_hash
VALUE * | tmp_buffer

## Detailed Description

Definition at line 1941 of file class.c.

## Field Documentation

## ◆ argc

int rb_scan_args_t::argc

Definition at line 1942 of file class.c.

## ◆ argi

int rb_scan_args_t::argi

Definition at line 1952 of file class.c.

## ◆ argv

const VALUE* rb_scan_args_t::argv

Definition at line 1943 of file class.c.

## ◆ f_block

int rb_scan_args_t::f_block

Definition at line 1947 of file class.c.

## ◆ f_hash

int rb_scan_args_t::f_hash

Definition at line 1946 of file class.c.

## ◆ f_var

int rb_scan_args_t::f_var

Definition at line 1945 of file class.c.

## ◆ hash

VALUE rb_scan_args_t::hash

Definition at line 1954 of file class.c.

## ◆ last_hash

VALUE rb_scan_args_t::last_hash

Definition at line 1955 of file class.c.

## ◆ last_idx

int rb_scan_args_t::last_idx

Definition at line 1953 of file class.c.

## ◆ n_lead

int rb_scan_args_t::n_lead

Definition at line 1948 of file class.c.

## ◆ n_mand

int rb_scan_args_t::n_mand

Definition at line 1951 of file class.c.

## ◆ n_opt

int rb_scan_args_t::n_opt

Definition at line 1949 of file class.c.

## ◆ n_trail

int rb_scan_args_t::n_trail

Definition at line 1950 of file class.c.

## ◆ tmp_buffer

VALUE* rb_scan_args_t::tmp_buffer

Definition at line 1956 of file class.c.

Referenced by rb_scan_args(), and rb_scan_args_kw().

## ◆ vargs

va_list rb_scan_args_t::vargs

Definition at line 1944 of file class.c.

Referenced by rb_scan_args_kw().

The documentation for this struct was generated from the following file:

- class.c